# Generated by Django 1.11.16 on 2018-11-20 15:36


from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bundle',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('title', models.CharField(db_index=True, max_length=180)),
                ('slug', models.SlugField(allow_unicode=True)),
                ('description', models.TextField(max_length=10000, blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='BundleLink',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('uses_latest', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='BundleVersion',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('version_num', models.PositiveIntegerField(editable=False)),
                ('snapshot_digest', models.CharField(db_index=True, editable=False, max_length=40)),
                ('change_description', models.TextField(blank=True, max_length=1000)),
                ('bundle', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='versions', related_query_name='version', to='bundles.Bundle')),
            ],
        ),
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('title', models.CharField(db_index=True, max_length=180)),
            ],
        ),
        migrations.AddField(
            model_name='bundle',
            name='collection',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='bundles', related_query_name='bundle', to='bundles.Collection'),
        ),
        migrations.AlterUniqueTogether(
            name='bundleversion',
            unique_together={('bundle', 'version_num')},
        ),
    ]
